Page MenuHomePhabricator

DatabaseMysqlBase: domain schemas are not supported.
Closed, ResolvedPublic

Description

Error

Request ID: XSYrewpAMFIAAHpzmkYAAABC

message
DatabaseMysqlBase: domain schemas are not supported.
trace
#0 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(4296): Wikimedia\Rdbms\DatabaseMysqlBase->open(string, string, string, string, string, string)
#1 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1310): Wikimedia\Rdbms\Database->replaceLostConnection(string)
#2 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1205): Wikimedia\Rdbms\Database->executeQueryAttempt(string, string, boolean, string, integer)
#3 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1142): Wikimedia\Rdbms\Database->executeQuery(string, string, integer)
#4 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1785): Wikimedia\Rdbms\Database->query(string, string)
#5 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1877): Wikimedia\Rdbms\Database->select(array, array, array, string, array, array)
#6 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/DBConnRef.php(68): Wikimedia\Rdbms\Database->selectRow(array, array, array, string, array, array)
#7 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/DBConnRef.php(343): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#8 /srv/mediawiki/php-1.34.0-wmf.13/extensions/CentralAuth/includes/CentralAuthUser.php(478): Wikimedia\Rdbms\DBConnRef->selectRow(array, array, array, string, array, array)
#9 /srv/mediawiki/php-1.34.0-wmf.13/extensions/CentralAuth/includes/CentralAuthUser.php(541): CentralAuthUser->loadFromDatabase()
#10 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/objectcache/WANObjectCache.php(1247): Closure$CentralAuthUser::loadFromCache(boolean, integer, array, NULL)
#11 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/objectcache/WANObjectCache.php(1406): Closure$WANObjectCache::getWithSetCallback(boolean, integer, array, NULL)
#12 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/objectcache/WANObjectCache.php(1253): WANObjectCache->doGetWithSetCallback(string, integer, Closure$WANObjectCache::getWithSetCallback;2402, array, NULL)
#13 /srv/mediawiki/php-1.34.0-wmf.13/extensions/CentralAuth/includes/CentralAuthUser.php(553): WANObjectCache->getWithSetCallback(string, integer, Closure$CentralAuthUser::loadFromCache;2933, array)
#14 /srv/mediawiki/php-1.34.0-wmf.13/extensions/CentralAuth/includes/CentralAuthUser.php(408): CentralAuthUser->loadFromCache()
#15 /srv/mediawiki/php-1.34.0-wmf.13/extensions/CentralAuth/includes/CentralAuthUser.php(583): CentralAuthUser->loadState()
#16 /srv/mediawiki/php-1.34.0-wmf.13/extensions/CentralAuth/includes/CentralAuthIdLookup.php(84): CentralAuthUser->getId()
#17 /srv/mediawiki/php-1.34.0-wmf.13/extensions/CentralAuth/includes/CentralAuthIdLookup.php(90): CentralAuthIdLookup->isAttached(User)
#18 /srv/mediawiki/php-1.34.0-wmf.13/extensions/Echo/includes/NotifUser.php(624): CentralAuthIdLookup->centralIdFromLocalUser(User, integer)
#19 /srv/mediawiki/php-1.34.0-wmf.13/extensions/Echo/includes/NotifUser.php(422): MWEchoNotifUser->getGlobalMemcKey(string)
#20 /srv/mediawiki/php-1.34.0-wmf.13/extensions/Echo/includes/model/Notification.php(116): MWEchoNotifUser->resetNotificationCount()
#21 [internal function]: Closure$EchoNotification::insert(integer, Wikimedia\Rdbms\DatabaseMysqli)
#22 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(3589): call_user_func(Closure$EchoNotification::insert;2610, integer, Wikimedia\Rdbms\DatabaseMysqli)
#23 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1678): Wikimedia\Rdbms\Database->runOnTransactionIdleCallbacks(integer)
#24 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(2009): Closure$Wikimedia\Rdbms\LoadBalancer::runMasterTransactionIdleCallbacks#2(Wikimedia\Rdbms\DatabaseMysqli)
#25 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1683): Wikimedia\Rdbms\LoadBalancer->forEachOpenMasterConnection(Closure$Wikimedia\Rdbms\LoadBalancer::runMasterTransactionIdleCallbacks#2;2504)
#26 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(322): Wikimedia\Rdbms\LoadBalancer->runMasterTransactionIdleCallbacks(string, integer)
#27 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactoryMulti.php(368): Closure$Wikimedia\Rdbms\LBFactory::executePostTransactionCallbacks(Wikimedia\Rdbms\LoadBalancer)
#28 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(324): Wikimedia\Rdbms\LBFactoryMulti->forEachLB(Closure$Wikimedia\Rdbms\LBFactory::executePostTransactionCallbacks;2278)
#29 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(294): Wikimedia\Rdbms\LBFactory->executePostTransactionCallbacks()
#30 /srv/mediawiki/php-1.34.0-wmf.13/includes/deferred/DeferredUpdates.php(310): Wikimedia\Rdbms\LBFactory->commitMasterChanges(string)
#31 /srv/mediawiki/php-1.34.0-wmf.13/includes/deferred/DeferredUpdates.php(265): DeferredUpdates::attemptUpdate(AtomicSectionUpdate, Wikimedia\Rdbms\LBFactoryMulti)
#32 /srv/mediawiki/php-1.34.0-wmf.13/includes/deferred/DeferredUpdates.php(217): DeferredUpdates::handleUpdate(AtomicSectionUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#33 /srv/mediawiki/php-1.34.0-wmf.13/includes/deferred/DeferredUpdates.php(144): DeferredUpdates::handleUpdateQueue(array, string, integer)
#34 /srv/mediawiki/php-1.34.0-wmf.13/extensions/EventBus/includes/JobExecutor.php(89): DeferredUpdates::doUpdates()
#35 /srv/mediawiki/rpc/RunSingleJob.php(76): JobExecutor->execute(array)

Also has a variation from destructors:

destructor message
PHP Warning: Destructor threw an object exception: exception 'Wikimedia\Rdbms\DBExpectedError' with message 'Wikimedia\Rdbms\DatabaseMysqlBase: domain schemas are not supported.' in /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/DatabaseMysqlBase.php:128
Stack trace:
#0 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(4296): Wikimedia\Rdbms\DatabaseMysqlBase->open()
#1 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1310): Wikimedia\Rdbms\Database->replaceLostConnection()
#2 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1205): Wikimedia\Rdbms\Database->executeQueryAttempt()
#3 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(1142): Wikimedia\Rdbms\Database->executeQuery()
#4 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(4152): Wikimedia\Rdbms\Database->query()
#5 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(4101): Wikimedia\Rdbms\Database->doRollback()
#6 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php(907): Wikimedia\Rdbms\Database->rollback()
#7 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1484): Wikimedia\Rdbms\Database->close()
#8 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1997): Closure$Wikimedia\Rdbms\LoadBalancer::closeAll()
#9 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1485): Wikimedia\Rdbms\LoadBalancer->forEachOpenConnection()
#10 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/loadbalancer/LoadBalancer.php(1474): Wikimedia\Rdbms\LoadBalancer->closeAll()
#11 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(230): Wikimedia\Rdbms\LoadBalancer->disable()
#12 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactoryMulti.php(368): Closure$Wikimedia\Rdbms\LBFactory::forEachLBCallMethod()
#13 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(233): Wikimedia\Rdbms\LBFactoryMulti->forEachLB()
#14 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(164): Wikimedia\Rdbms\LBFactory->forEachLBCallMethod()
#15 /srv/mediawiki/php-1.34.0-wmf.13/includes/libs/rdbms/lbfactory/LBFactory.php(760): Wikimedia\Rdbms\LBFactory->destroy()
#16 (): Wikimedia\Rdbms\LBFactory->__destruct()
#17 {main}

Impact

(Unknown.)

Notes

Regression in 1.34-wmf.13.

Event Timeline

Krinkle created this task.Jul 10 2019, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2019, 8:35 PM
Krinkle updated the task description. (Show Details)Jul 10 2019, 8:35 PM
Jdforrester-WMF triaged this task as Unbreak Now! priority.Jul 10 2019, 8:51 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 10 2019, 8:51 PM

Change 522012 had a related patch set uploaded (by Aaron Schulz; owner: Aaron Schulz):
[mediawiki/core@master] rdbms: avoid dbSchema() in Database::replaceLostConnection() and Database::__clone()

https://gerrit.wikimedia.org/r/522012

Change 522013 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core@wmf/1.34.0-wmf.13] rdbms: avoid dbSchema() in Database::replaceLostConnection() and Database::__clone()

https://gerrit.wikimedia.org/r/522013

Change 522012 merged by jenkins-bot:
[mediawiki/core@master] rdbms: avoid dbSchema() in Database::replaceLostConnection() and Database::__clone()

https://gerrit.wikimedia.org/r/522012

Change 522013 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.13] rdbms: avoid dbSchema() in Database::replaceLostConnection() and Database::__clone()

https://gerrit.wikimedia.org/r/522013

Krinkle closed this task as Resolved.Jul 11 2019, 2:44 PM
Krinkle assigned this task to aaron.
Krinkle removed a project: Patch-For-Review.
Krinkle moved this task from Untriaged to Rdbms library on the Wikimedia-Rdbms board.

Mentioned in SAL (#wikimedia-operations) [2019-07-11T14:45:04Z] <krinkle@deploy1001> Synchronized php-1.34.0-wmf.13/includes/libs/rdbms/database/Database.php: 903f3f94f5d2e3 / T227708 (duration: 00m 59s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:05 PM